using System.Collections;
using System.Collections.Generic;
using Assets._game.scripts;
using UnityEngine;

public class TestGame : MonoBehaviour
{
    public GameData GameData;
    public List<PlayerData> Players;

    public void Start()
    {
        GameManager.Instance.NewGame(GameData);

        int index = 0;
        foreach (var player in Players)
        {
            GameManager.Instance.AddPlayer(player, index++);
        }

        GameManager.Instance.PlayArea = GetComponent<PlayArea>();
        GameManager.Instance.StartGame();
    }
}
